// THEME SETTINGS
function kihon_theme_settings( $wp_customize ) {

    // Add kihon_footer section footer settings
    $wp_customize->add_section( 'kihon_footer', array(
        'title' => 'Footer Details', // Title of section
        'description' => 'Customize your site\'s footer copy.', // Description
    ) );

    // Add setting for kihon_footer_copyright
    $wp_customize->add_setting( 'kihon_footer_copyright', array(
        'default' => '&copy; ' . get_bloginfo( 'name' ),
    ) );

    // Add control for kihon_footer_copyright
    $wp_customize->add_control( 'kihon_footer_copyright', array(
        'label' => 'Text in the footer',
        'type' => 'text',
        'section' => 'kihon_footer', // Add to section kihon_footer
    ) );
    
    // Add setting for kihon_footer_credits
    $wp_customize->add_setting( 'kihon_footer_credits', array(
        'default' => 0,
    ) );
    
    // Add control for kihon_footer_credits
    $wp_customize->add_control( 'kihon_footer_credits', array(
        'label' => 'Hide credits from the footer',
        'type' => 'checkbox',
        'section' => 'kihon_footer', // Add to section kihon_footer
    ) ); 

}
add_action( 'customize_register', 'kihon_theme_settings', 11 );