<?php
/*
Plugin Name: Smashing Settings
Plugin URI: http://tdh.me/wordpress/smashing-settings/
Description: A simple settings plugin.
Author: Thord Daniel Hedengren
Author URI: http://tdh.me/
*/

// Add the settings page function to the menu
add_action( 'admin_menu', 'smashings_settingsdemo_add_page' );

// Add to the menu
function smashings_settingsdemo_add_page() {
    add_options_page( 'Smashing Sample Settings', 
        'Smashing Settings', 
        'manage_options', 
        'smashings_settingsdemo', 
        'smashings_settingsdemo_do_page' );
}

// Add the actual settings page
function smashings_settingsdemo_do_page() {
// Leaving PHP for a while ?>

    <h2>Smashing Settings</h2>
    <p>This is our settings page.</p>
    <form action="options.php" method="post">
    <?php settings_fields( 'smashings_settingsdemo' ); ?>
    <?php do_settings_sections( 'smashings_settingsdemo' ); ?>
    <?php submit_button(); ?>
    </form>

<?php
} // Back to PHP

// Whitelist the settings
function smashings_settingsdemo_init(){

    // Add the section
    add_settings_section('smashing_settings_section',
        'Smashing Settings',
        'smashing_settings_section_callback',
        'smashings_settingsdemo');
    
    // Add settings field
    add_settings_field('smashing_sample_input',
        'Input sample',
        'smashing_sample_input_callback',
        'smashings_settingsdemo',
        'smashing_settings_section');
    
    // Register settings
    register_setting( 'smashings_settingsdemo', 'smashing_sample_input',
      'smashing_settingsdemo_validate' );
    
}

// Initiate smashings_settingsdemo_init() in admin
add_action( 'admin_init', 'smashings_settingsdemo_init' );

// Runs at the start of the section
function smashing_settings_section_callback() {
    echo '<p>This is the section intro.</p>';
}

// The input sample setting
function smashing_sample_input_callback() { 
// Leaving PHP for a while ?>
    <input type="text" name="smashing_sample_input" value="<?php echo
      get_option( 'smashing_sample_input' ); ?>" />
<?php }
// Back to PHP

// Sanitize
function smashing_settingsdemo_validate($input) {

    // Encode
    $newinput = esc_attr($input);
    return $newinput;
    
}

?>