<?php get_header(); ?>

<section id="main-container" role="content">

    <!-- Section header -->
    <h1 class="page-title">
        <?php _e( '<span>These Are</span><br />My Books', 'tdh9' ); ?>
    </h1>

    <ul class="archive-list">

<?php 
    // The basic loop
    while ( have_posts() ) : the_post();
?>

        <li id="post-<?php the_ID(); ?>" <?php post_class( 'book-list-item' ); ?>>
            <div class="book-cover">
                <a href="<?php the_permalink(); ?>" class="books-cover-link">
                <?php 
                    // Is there a featured image?
                    if ( has_post_thumbnail() ) { 
                        // Yes, let's use the right one
                        the_post_thumbnail( 'book-small' ); 
                    } 
                    // No? Then we'll use this one
                    else { ?>
                        <img src="<?php echo get_template_directory_uri(); ?>/img/books-nocoveryet.png" width="150" height="190" alt="<?php _e( 'No cover available', 'tdh9' ); ?>" />
                    <?php }
                    // All done
                ?>
                </a>
            </div>
            <div class="book-content">
                <h2 class="archive-heading">
                    <a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'tdh9' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
                        <?php the_title(); ?>
                    </a>
                </h2>
                <?php the_excerpt(); ?>
            </div>
        </li>

<?php
    // End the loop
    endwhile; 
?>

    </ul>

<?php
    // Navigation top
    get_template_part( 'nav', 'bottom' );
?>

</section>

<?php get_footer(); ?>