<?php 
// Recipes post type
register_post_type( 'recipes', array(
	'label' => 'Recipes',
	'labels' => array(
		'singular_name' => 'Recipe',
		'add_new_item' => 'Add New Recipe',
		'edit_item' => 'Edit Recipe',
		'new_item' => 'New Recipe',
		'view_item' => 'View Recipe',
		'search_items' => 'Search Recipes',
		'not_found' => 'No recipes found',
		'not_found_in_trash' => 'No recipes found in Trash',
	),
	'public' => true,
	'show_ui' => true,
	'capability_type' => 'post',
//	'taxonomies' => array('category'),
	'has_archive' => true,
	'rewrite' => array(
		'slug' => 'recipes'
	),
	'query_var' => false,
	'supports' => array(
		'title', 
		'editor', 
		'author', 
		'thumbnail', 
		'excerpt', 
		'comments'
	)
) );	

// The Ingredients taxonomy
register_taxonomy( 'ingredients', 'recipes', array(
	'hierarchical' => false,
	'labels' => array(
		'name' => 'Ingredients',
		'singular_name' => 'Ingredient',
		'search_items' =>  'Search Ingredients',
		'popular_items' => 'Popular Ingredients',
		'all_items' => 'All Ingredients',
		'parent_item' => null,
		'parent_item_colon' => null,
		'edit_item' => 'Edit Ingredient', 
		'update_item' => 'Update Ingredient',
		'add_new_item' => 'Add New Ingredient',
		'new_item_name' => 'New Ingredient',
		'separate_items_with_commas' => 'Separate ingredients with commas',
		'add_or_remove_items' => 'Add or remove ingredients',
		'choose_from_most_used' => 'Choose from the most used ingredients',
		'menu_name' => 'Ingredients'
	),
	'show_ui' => true,
	'update_count_callback' => '_update_post_term_count',
	'query_var' => true,
	'rewrite' => array( 
		'slug' => 'ingredient' 
	),
) );

// The Dishes taxonomy
register_taxonomy( 'dishes', 'recipes', array(
	'hierarchical' => true,
	'labels' => array(
	    'name' => 'Dishes',
	    'singular_name' => 'Dish',
	    'search_items' =>  'Search Dishes',
	    'all_items' => 'All Dishes',
	    'parent_item' => 'Parent Dishes',
	    'parent_item_colon' => 'Parent Dish:',
	    'edit_item' => 'Edit Dish', 
	    'update_item' => 'Update Dish',
	    'add_new_item' => 'Add New Dish',
	    'new_item_name' => 'New Dish Name',
	    'menu_name' => 'Dishes'
	),
	'show_ui' => true,
	'query_var' => true,
	'rewrite' => array( 
	    'slug' => 'dish' 
	)
) );
?>